/******************************************************************************
 *
 * ClassDB - A simple school calendar 
 * Copyright (C) 2001 Ricardo Cabral - nightdog@users.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 *
 *****************************************************************************/


// this file stores the prototypes for the functions that are not 
// in the main source files (ClassDB.c)
// History:
// 23/JUN/01 - this file is created
// 24/JUN/01 - added gadgettap prototype
// 29/JUL/01 - added the main event struct

#define ClassDBType 'DATA'

void GadgetInit(FormPtr frm, UInt16 gadgetID);
void GadgetDraw(FormPtr frm, UInt16 gadgetID);
void GadgetTap(FormPtr frm, UInt16 gadgetID, EventPtr event);


typedef struct {
	RectangleType dayCell;
	Boolean validDate;
	Boolean used;
	char class[12];
	char event[12];
} EVENTS;
